Invalid credentials with Adobe Reader

If you open a signed document with Adobe Reader, it's possible that you get an error message stating that the credentials aren't valid. This doesn't mean that the signs aren't valid, you just need to update Adobe's trusted root certificates. To fix this:

  • Open Adobe Reader
  • Go to "Preferences" -> "Trust Manager" 
  • Click on "Update now" on both categories: 
    • "Load trusted certificates from an Adobe AATL server" and 
    • "Load trusted certificates from an Adobe EUTL server".

Once you've uploaded both certificates, the issue should be solved.

Get in touch with us in case of doubts or questions.

Have more questions? Submit a request

0 Comments

Article is closed for comments.
Powered by Zendesk